Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ISSearch
Interface ISDocumentInterface

All Known Implementing Classes:
  ISDocument

    public interface ISDocumentInterface

This interface is used to represent the parsed document. The objects that implement this interface are used to store extracted words and links. The solution must contain the class that implements all functions prescribed by this interface.

See Also:
  `URL`

Method Summary
`java.lang.String` | `getLink()` Returns the absolute URL of the current document
`ISTermInterface[]` | `getTerms()` Returns the bag of words extracted from the document.
`java.net.URL[]` | `getUrls()` Returns the set of absolute Url's extracted from the current document.
`void` | `setLink(java.lang.String u)` Sets the absolute URL of the current document
`void` | `setTerms(ISTermInterface[] t)` Sets the bag of words extracted from the document (without stopwords).
`void` | `setUrls(java.net.URL[] u)` Sets the set of absolute Url's extracted from the current document.

Method Detail

### getUrls

    java.net.URL[] getUrls()

  Returns the set of absolute Url's extracted from the current document.

  Returns:
    URLs extracted from the document (as `Array` of `URL`), or null when no links were found

### setUrls

    void setUrls(java.net.URL[] u)

  Sets the set of absolute Url's extracted from the current document.

  Parameters:
    `u` - is the URL[] which contains the absolute URLs extracted from the current document.

### getTerms

    ISTermInterface[] getTerms()

  Returns the bag of words extracted from the document. The result should contain no stopwords.

  Returns:
    The `Array` of words extracted from the document (as `Array` of Objects that must implement `ISTermInterface`), or null when no terms were found

### setTerms

    void setTerms(ISTermInterface[] t)

  Sets the bag of words extracted from the document (without stopwords).

  Parameters:
    `t` - is the ISTermInterface[] which contains extracted words.

### getLink

    java.lang.String getLink()

  Returns the absolute URL of the current document

  Returns:
    The absolute URL of the current document as `String`

### setLink

    void setLink(java.lang.String u)

  Sets the absolute URL of the current document

  Parameters:
    `u` - is the String which contains the URL of the current document

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD